-- phpMyAdmin SQL Dump
-- version 2.6.0-pl3
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 17. Dezember 2004 um 11:37
-- Server Version: 4.0.22
-- PHP-Version: 4.3.9-1
-- 
-- Datenbank: `ias21`
-- 
CREATE DATABASE `ias21`;
USE ias21;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Artikel`
-- 

CREATE TABLE `Artikel` (
  `Artikel_Id` int(11) NOT NULL auto_increment,
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `gueltigBis` datetime default NULL,
  `BruttoPreisProStunde` decimal(3,2) NOT NULL default '0.00',
  `BruttoPreisProTag` decimal(3,2) NOT NULL default '0.00',
  `Barcode` varchar(254) default NULL,
  `EAN` varchar(254) default NULL,
  `Originaltitel` varchar(254) default NULL,
  `Titel` varchar(254) default NULL,
  `Typ` int(11) default NULL,
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Artikel`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `ArtikelKategorie`
-- 

CREATE TABLE `ArtikelKategorie` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `Kategorie_Id` int(11) NOT NULL default '0',
  `ArtikelGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`Artikel_Id`,`Kategorie_Id`,`ArtikelGueltigVon`),
  KEY `XIF1ArtikelKategorie` (`Artikel_Id`,`ArtikelGueltigVon`),
  KEY `XIF2ArtikelKategorie` (`Kategorie_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `ArtikelKategorie`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Audioformat`
-- 

CREATE TABLE `Audioformat` (
  `Audioformat_Id` int(11) NOT NULL auto_increment,
  `Bezeichnung` varchar(254) default NULL,
  PRIMARY KEY  (`Audioformat_Id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Audioformat`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Bestand`
-- 

CREATE TABLE `Bestand` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `Filiale_Id` int(11) NOT NULL default '0',
  `Menge` varchar(254) default NULL,
  `FilialeGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `ArtikelGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`Artikel_Id`,`Filiale_Id`,`FilialeGueltigVon`,`ArtikelGueltigVon`),
  KEY `XIF1Bestand` (`Artikel_Id`,`ArtikelGueltigVon`),
  KEY `XIF2Bestand` (`Filiale_Id`,`FilialeGueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `Bestand`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `DVD`
-- 

CREATE TABLE `DVD` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Regionalcode` varchar(254) default NULL,
  `Kapitelanzahl` varchar(254) default NULL,
  `Bildformat` varchar(254) default NULL,
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `DVD`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `DVDAudio`
-- 

CREATE TABLE `DVDAudio` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Sprache_Id` int(11) NOT NULL default '0',
  `Audioformat_Id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`,`Sprache_Id`,`Audioformat_Id`),
  KEY `XIF1DVDAudio` (`Artikel_Id`,`gueltigVon`),
  KEY `XIF2DVDAudio` (`Sprache_Id`),
  KEY `XIF3DVDAudio` (`Audioformat_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `DVDAudio`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `DVDUntertitel`
-- 

CREATE TABLE `DVDUntertitel` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Untertitel_Id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`,`Untertitel_Id`),
  KEY `XIF1DVDUntertitel` (`Artikel_Id`,`gueltigVon`),
  KEY `XIF2DVDUntertitel` (`Untertitel_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `DVDUntertitel`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Darsteller`
-- 

CREATE TABLE `Darsteller` (
  `Darsteller_Id` int(11) NOT NULL auto_increment,
  `Nachname` varchar(254) default NULL,
  `Vorname` varchar(254) default NULL,
  PRIMARY KEY  (`Darsteller_Id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Darsteller`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Filiale`
-- 

CREATE TABLE `Filiale` (
  `Filiale_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `gueltigBis` datetime NOT NULL default '0000-00-00 00:00:00',
  `Strasse` varchar(254) NOT NULL default '',
  `PLZ` varchar(5) NOT NULL default '',
  `Ort` varchar(254) NOT NULL default '',
  `Kapazitt_DVD` int(11) NOT NULL default '0',
  `Kapazitt_VHS` int(11) NOT NULL default '0',
  `Kapazitt_Spiel` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Filiale_Id`,`gueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `Filiale`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Film`
-- 

CREATE TABLE `Film` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Genre` varchar(254) default NULL,
  `Studio` varchar(254) default NULL,
  `Produzent` varchar(254) default NULL,
  `Lnge` varchar(254) default NULL,
  `FSK` varchar(254) default NULL,
  `Land` varchar(254) default NULL,
  `Medium` varchar(254) default NULL,
  `Jahr` varchar(254) default NULL,
  `Handlung` varchar(254) default NULL,
  `Filmusik` varchar(254) default NULL,
  `Drehbuch` varchar(254) default NULL,
  `Bildsystem` varchar(254) default NULL,
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `Film`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `FilmDarsteller`
-- 

CREATE TABLE `FilmDarsteller` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Darsteller_Id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`,`Darsteller_Id`),
  KEY `XIF1FilmDarsteller` (`Artikel_Id`,`gueltigVon`),
  KEY `XIF2FilmDarsteller` (`Darsteller_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `FilmDarsteller`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Kategorie`
-- 

CREATE TABLE `Kategorie` (
  `Kategorie_Id` int(11) NOT NULL auto_increment,
  `OberKategorie` int(11) default NULL,
  `Bezeichnung` varchar(254) default NULL,
  PRIMARY KEY  (`Kategorie_Id`),
  KEY `XIF1Kategorie` (`OberKategorie`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Kategorie`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Kunde`
-- 

CREATE TABLE `Kunde` (
  `Kunde_Id` int(11) NOT NULL auto_increment,
  `Vorname` varchar(254) default NULL,
  `Nachname` varchar(254) default NULL,
  `Titel` varchar(254) default NULL,
  `Anrede` varchar(254) default NULL,
  `Strasse` varchar(254) default NULL,
  `PLZ` varchar(254) default NULL,
  `Ort` varchar(254) default NULL,
  `Geburtsdatum` date default NULL,
  `PersonalAusweisNr` varchar(254) default NULL,
  `PersonalAusweisGueltig` date default NULL,
  `Telefon` varchar(254) default NULL,
  `Email` varchar(254) default NULL,
  `Passwort` varchar(254) default NULL,
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `gueltigBis` datetime default NULL,
  PRIMARY KEY  (`Kunde_Id`,`gueltigVon`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Daten fr Tabelle `Kunde`
-- 

INSERT INTO `Kunde` VALUES (1, 'Gregor', 'Bramhoff', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', '2004-12-16 00:00:00', '9999-12-31 00:00:00');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Kundenkarte`
-- 

CREATE TABLE `Kundenkarte` (
  `Kundenkarte_Id` int(11) NOT NULL auto_increment,
  `gueltigBis` date default NULL,
  `Kartennummer` varchar(254) default NULL,
  `KundeGueltigVon` date default NULL,
  `Kunde_Id` int(11) default NULL,
  `gueltigVon` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`Kundenkarte_Id`,`gueltigVon`),
  KEY `XIF1Kundenkarte` (`Kunde_Id`,`KundeGueltigVon`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Kundenkarte`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Spiel`
-- 

CREATE TABLE `Spiel` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Genre` varchar(254) default NULL,
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `Spiel`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `SpielSprache`
-- 

CREATE TABLE `SpielSprache` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Sprache_Id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`,`Sprache_Id`),
  KEY `XIF1SpielSprache` (`Artikel_Id`,`gueltigVon`),
  KEY `XIF2SpielSprache` (`Sprache_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `SpielSprache`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `SpielSystem`
-- 

CREATE TABLE `SpielSystem` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `Spielesystem_Id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`,`Spielesystem_Id`),
  KEY `XIF1SpielSystem` (`Artikel_Id`,`gueltigVon`),
  KEY `XIF2SpielSystem` (`Spielesystem_Id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `SpielSystem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Sprache`
-- 

CREATE TABLE `Sprache` (
  `Sprache_Id` int(11) NOT NULL auto_increment,
  `Bezeichnung_deutsch` varchar(254) default NULL,
  `Bezeichnung_fremdsprache` varchar(254) default NULL,
  PRIMARY KEY  (`Sprache_Id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Sprache`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `System`
-- 

CREATE TABLE `System` (
  `Spielesystem_Id` int(11) NOT NULL auto_increment,
  `Bezeichnung` varchar(254) default NULL,
  PRIMARY KEY  (`Spielesystem_Id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `System`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Untertitel`
-- 

CREATE TABLE `Untertitel` (
  `Untertitel_Id` int(11) NOT NULL auto_increment,
  `Bezeichnung` varchar(254) default NULL,
  PRIMARY KEY  (`Untertitel_Id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Daten fr Tabelle `Untertitel`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `VHS`
-- 

CREATE TABLE `VHS` (
  `Artikel_Id` int(11) NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`Artikel_Id`,`gueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `VHS`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `administratoren`
-- 

CREATE TABLE `administratoren` (
  `Admin_Id` int(11) unsigned NOT NULL auto_increment,
  `Kunde_Id` int(11) unsigned NOT NULL default '0',
  `gueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `gueltig_Bis` datetime default NULL,
  PRIMARY KEY  (`Admin_Id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Daten fr Tabelle `administratoren`
-- 

INSERT INTO `administratoren` VALUES (1, 1, '2004-12-01 00:00:00', '9999-12-31 00:00:00');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `entleiht`
-- 

CREATE TABLE `entleiht` (
  `EntleihZeitpunkt` datetime NOT NULL default '0000-00-00 00:00:00',
  `Kundenkarte_Id` int(11) NOT NULL default '0',
  `Menge` varchar(254) default NULL,
  `Artikel_Id` int(11) NOT NULL default '0',
  `Filiale_Id` int(11) NOT NULL default '0',
  `FilialeGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `ArtikelGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `KundenkarteGueltigVon` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`Kundenkarte_Id`,`Artikel_Id`,`Filiale_Id`,`EntleihZeitpunkt`,`FilialeGueltigVon`,`ArtikelGueltigVon`,`KundenkarteGueltigVon`),
  KEY `XIF3entleiht` (`Kundenkarte_Id`,`KundenkarteGueltigVon`),
  KEY `XIF4entleiht` (`Artikel_Id`,`Filiale_Id`,`FilialeGueltigVon`,`ArtikelGueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `entleiht`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `gibt_zurck`
-- 

CREATE TABLE `gibt_zurck` (
  `Menge` varchar(254) default NULL,
  `RckgabeZeitpunkt` datetime default NULL,
  `Kundenkarte_Id` int(11) NOT NULL default '0',
  `EntleihZeitpunkt` datetime NOT NULL default '0000-00-00 00:00:00',
  `Artikel_Id` int(11) NOT NULL default '0',
  `Filiale_Id` int(11) NOT NULL default '0',
  `FilialeGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `ArtikelGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `KundenkarteGueltigVon` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`Kundenkarte_Id`,`EntleihZeitpunkt`,`Artikel_Id`,`Filiale_Id`,`FilialeGueltigVon`,`ArtikelGueltigVon`,`KundenkarteGueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `gibt_zurck`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `merkt_vor`
-- 

CREATE TABLE `merkt_vor` (
  `Menge` int(11) default NULL,
  `Kundenkarte_Id` int(11) NOT NULL default '0',
  `VormerkerZeitpunkt` datetime NOT NULL default '0000-00-00 00:00:00',
  `Artikel_Id` int(11) NOT NULL default '0',
  `Filiale_Id` int(11) NOT NULL default '0',
  `FilialeGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `ArtikelGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  `KundenkarteGueltigVon` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`Kundenkarte_Id`,`VormerkerZeitpunkt`,`Artikel_Id`,`Filiale_Id`,`FilialeGueltigVon`,`ArtikelGueltigVon`,`KundenkarteGueltigVon`),
  KEY `XIF1merkt_vor` (`Kundenkarte_Id`,`KundenkarteGueltigVon`),
  KEY `XIF2merkt_vor` (`Artikel_Id`,`Filiale_Id`,`FilialeGueltigVon`,`ArtikelGueltigVon`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `merkt_vor`
-- 

